Bug 1270570 - HostSetupNetworks: Remove Bootproto and IP from NIC's tooltip when NIC is attached to network
HostSetupNetworks: Remove Bootproto and IP from NIC's tooltip when NIC is att...
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.0
x86_64 Linux
medium Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Ales Musil
Michael Burman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 07:01 EDT by Michael Burman
Modified: 2017-10-01 02:09 EDT (History)
5 users (show)

See Also:
Fixed In Version: ovirt-engine-4.2.0-0.0.master.20170913112412.git2eb3c0a.el7.centos.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)
nic screen shot (189.47 KB, image/png)
2016-09-27 09:36 EDT, Michael Burman
no flags Details
bond screenshot (221.58 KB, image/png)
2016-09-27 09:37 EDT, Michael Burman
no flags Details
record1 (3.97 MB, application/x-gzip)
2017-09-03 02:22 EDT, Michael Burman
no flags Details
new record for vlan networks (4.73 MB, application/x-gzip)
2017-09-17 01:24 EDT, Michael Burman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80677 master POST webadmin: Remove Bootproto and IP from NIC's tooltip 2017-08-23 10:04 EDT
oVirt gerrit 81462 master POST webadmin: Add IPv6 info to bootproto and IP tooltip 2017-09-05 08:57 EDT
oVirt gerrit 81910 master MERGED webadmin: Add check if networkModel has VLAN 2017-09-20 12:13 EDT
oVirt gerrit 82079 master MERGED webadmin: Add check if networkModel has vlan and it is not null 2017-09-28 14:20 EDT
oVirt gerrit 82137 master MERGED Revert "webadmin: Add check if networkModel has VLAN" 2017-09-24 10:33 EDT

  None (edit)
Description Michael Burman 2015-10-11 07:01:43 EDT
Description of problem:
Remove Bootproto and IP from NIC's tooltip on setup network.

Bootproto and IP should be displayed in the network's tooltip and not on the NIC's tooltip as it today.

Version-Release number of selected component (if applicable):
3.6.0-0.18.el6
Comment 1 Sandro Bonazzola 2016-05-02 05:59:57 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 2 Yaniv Lavi 2016-05-23 09:16:20 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 3 Yaniv Lavi 2016-05-23 09:20:02 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 4 Dan Kenigsberg 2016-09-27 04:24:58 EDT
Michael, if the NIC is not (yet) attached to a network, it makes sense to see Bootproto/IP on its tooltip.
Do you see the bootproto even when the NIC is attached to a VM network or a bond? (screenshot would be nice)
Comment 5 Michael Burman 2016-09-27 09:35:55 EDT
(In reply to Dan Kenigsberg from comment #4)
> Michael, if the NIC is not (yet) attached to a network, it makes sense to
> see Bootproto/IP on its tooltip.
> Do you see the bootproto even when the NIC is attached to a VM network or a
> bond? (screenshot would be nice)

Yes, on the nic/bond
Comment 6 Michael Burman 2016-09-27 09:36 EDT
Created attachment 1205195 [details]
nic screen shot
Comment 7 Michael Burman 2016-09-27 09:37 EDT
Created attachment 1205196 [details]
bond screenshot
Comment 8 Michael Burman 2017-09-03 02:20:40 EDT
I was expecting that part of this change the IP will be reported on the network's tooltip and not only the bootproto. 
Currently we only display the bootproto on the network's tooltip as part of this change, but the IP should have been added as well(without the need to edit the network). 
I would like this be handled as part of this report as it should be.

- Another thing should be handled as part of this fix, we still report bootproto on top of the slaves, if the NIC is bond.
Comment 9 Michael Burman 2017-09-03 02:22 EDT
Created attachment 1321434 [details]
record1
Comment 10 Michael Burman 2017-09-17 01:23:07 EDT
Ales, we are almost there, almost everything has been fixed and looks great, the only thing that is still not reported properly are vlan networks, when the network is vlan and it has dhcp/static bootproto, you report it as 'none'.
Except this, everything great.
Comment 11 Michael Burman 2017-09-17 01:24 EDT
Created attachment 1326912 [details]
new record for vlan networks
Comment 12 Michael Burman 2017-10-01 02:09:18 EDT
Verified on - 4.2.0-0.0.master.20170929123516.git007c392.el7.centos

Note You need to log in before you can comment on or make changes to this bug.